# Couenne::CouenneBTPerfIndicator Class Reference

`#include <CouenneBTPerfIndicator.hpp>`

List of all members.

## Public Member Functions
| CouenneBTPerfIndicator (CouenneProblem *p, const std::string &name)
| Should stats be printed at the end? Copied from problem_ -> Jnlst () -> ProduceOutput (ERROR, BOUNDTIGHTENING).
| ~CouenneBTPerfIndicator ()
| CouenneBTPerfIndicator (const CouenneBTPerfIndicator &rhs)
CouenneBTPerfIndicator & | operator= (const CouenneBTPerfIndicator &rhs)
void | setOldBounds (const CouNumber *lb, const CouNumber *ub) const
void | addToTimer (double time) const
| add to timer
void | update (const CouNumber *lb, const CouNumber *ub, int depth) const
## Protected Attributes
std::string | name_
double | nFixed_
| Whose performance is this?
double | boundRatio_
| number of fixed variables
double | shrunkInf_
| average bound width shrinkage
double | shrunkDoubleInf_
| average # bounds that went from infinite to finite (counts twice if [-inf,inf] to [a,b]
double | nProvedInfeas_
| average # bounds that went from doubly infinite to infinite
double | weightSum_
| average # proofs of infeasibility
double * | oldLB_
| total weight (used to give an average indicator at the end of Couenne)
double * | oldUB_
| old lower bounds (initial, i.e. before BT)
double | totalTime_
| old upper bounds
int | nRuns_
| CPU time spent on this.
CouenneProblem * | problem_
| number of runs
bool | stats_
| Couenne problem info.

## Detailed Description

Definition at line 23 of file CouenneBTPerfIndicator.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneBTPerfIndicator::CouenneBTPerfIndicator | ( | CouenneProblem * | p,
|  | const std::string & | name |
| ) |  |  |

Should stats be printed at the end? Copied from problem_ -> Jnlst () -> ProduceOutput (ERROR, BOUNDTIGHTENING).

Couenne::CouenneBTPerfIndicator::~CouenneBTPerfIndicator | ( |  | ) |

Couenne::CouenneBTPerfIndicator::CouenneBTPerfIndicator | ( | const CouenneBTPerfIndicator & | rhs | ) |

## Member Function Documentation

CouenneBTPerfIndicator& Couenne::CouenneBTPerfIndicator::operator= | ( | const CouenneBTPerfIndicator & | rhs | ) |

void Couenne::CouenneBTPerfIndicator::setOldBounds | ( | const CouNumber * | lb,
|  | const CouNumber * | ub |
| ) |  |  | const

void Couenne::CouenneBTPerfIndicator::addToTimer | ( | double | time | ) | const

add to timer

void Couenne::CouenneBTPerfIndicator::update | ( | const CouNumber * | lb,
|  | const CouNumber * | ub,
|  | int | depth |
| ) |  |  | const

## Member Data Documentation

std::string Couenne::CouenneBTPerfIndicator::name_`[protected]`

Definition at line 27 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::nFixed_`[mutable, protected]`

Whose performance is this?

Definition at line 29 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::boundRatio_`[mutable, protected]`

number of fixed variables

Definition at line 30 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::shrunkInf_`[mutable, protected]`

average bound width shrinkage

Definition at line 31 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::shrunkDoubleInf_`[mutable, protected]`

average # bounds that went from infinite to finite (counts twice if [-inf,inf] to [a,b]

Definition at line 32 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::nProvedInfeas_`[mutable, protected]`

average # bounds that went from doubly infinite to infinite

Definition at line 33 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::weightSum_`[mutable, protected]`

average # proofs of infeasibility

Definition at line 35 of file CouenneBTPerfIndicator.hpp.

double* Couenne::CouenneBTPerfIndicator::oldLB_`[mutable, protected]`

total weight (used to give an average indicator at the end of Couenne)

Definition at line 37 of file CouenneBTPerfIndicator.hpp.

double* Couenne::CouenneBTPerfIndicator::oldUB_`[mutable, protected]`

old lower bounds (initial, i.e. before BT)

Definition at line 38 of file CouenneBTPerfIndicator.hpp.

double Couenne::CouenneBTPerfIndicator::totalTime_`[mutable, protected]`

old upper bounds

Definition at line 40 of file CouenneBTPerfIndicator.hpp.

int Couenne::CouenneBTPerfIndicator::nRuns_`[mutable, protected]`

CPU time spent on this.

Definition at line 42 of file CouenneBTPerfIndicator.hpp.

CouenneProblem* Couenne::CouenneBTPerfIndicator::problem_`[protected]`

number of runs

Definition at line 44 of file CouenneBTPerfIndicator.hpp.

bool Couenne::CouenneBTPerfIndicator::stats_`[protected]`

Couenne problem info.

Definition at line 46 of file CouenneBTPerfIndicator.hpp.

The documentation for this class was generated from the following file:

- CouenneBTPerfIndicator.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines